Developers
Get developer summary
Fetches a summary of a developer’s profile, reputation, and Sui repositories from GitHub.
GET
/
api
/
v1
/
developers
/
{username}
/
summary
Get developer summary
curl --request GET \
--url https://api.yapcoder.com/api/v1/developers/{username}/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yapcoder.com/api/v1/developers/{username}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yapcoder.com/api/v1/developers/{username}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile": {
"user_id": 123,
"name": "<string>",
"username": "<string>",
"bio": "<string>",
"status": "<string>",
"company": "<string>",
"location": "<string>",
"profile_url": "<string>",
"avatar_url": "<string>",
"followers": 123,
"following": 123
},
"reputation": {
"username": "<string>",
"score": 123,
"details": {
"total_stars": 123,
"total_commits": 123,
"sui_repo_count": 123,
"experience_days": 123,
"total_size_kb": 123,
"language_count": 123,
"last_activity": "<string>",
"onboarded_date": "<string>"
}
},
"sui_repos": [
{
"id": 123,
"name": "<string>",
"full_name": "<string>",
"description": "<string>",
"language": "<string>",
"languages": [
"<string>"
],
"owner": {
"login": "<string>",
"avatar_url": "<string>"
},
"html_url": "<string>",
"stargazers_count": 123,
"forks_count": 123,
"fork": true,
"size": 123,
"topics": [
"<string>"
],
"open_issues_count": 123,
"open_issues": 123,
"open_prs": 123,
"signal": "<string>"
}
]
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Get developer summary
